Bug 1019049 - [oVirt][Neutron] External network not blocked for hot updating
[oVirt][Neutron] External network not blocked for hot updating
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity high
: ---
: 3.3.0
Assigned To: Mike Kolesnik
yeylon@redhat.com
network
:
Depends On: 1016982
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 01:07 EDT by Mike Kolesnik
Modified: 2016-02-10 14:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1016982
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20007 None None None Never
oVirt gerrit 20021 None None None Never

  None (edit)
Description Mike Kolesnik 2013-10-15 01:07:53 EDT
+++ This bug was initially created as a clone of Bug #1016982 +++

Description of problem:
Changing vNIC profile while VM is running from one on internal network to one on external network will pass can do action.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attach vNIC to an "internal network" profile
2. Start the VM
3. Edit the vNic and change to "external network" profile

Actual results:
Error while executing action Edit VM Interface properties: Unexpected exception

Expected results:
Error stating that external network cannot be updated while the VM is running

Additional info:
Comment 1 awinter 2013-11-17 06:00:15 EST
Verified.
When trying to produce the bug I get:

Error while executing action:

VM1:

    Cannot edit Interface. External network cannot be changed while the virtual machine is running.
Comment 3 Itamar Heim 2014-01-21 17:23:58 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:25:02 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:28:36 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.